org.apache.olingo.server.api.serializer

## Class PrimitiveValueSerializerOptions.Builder

- java.lang.Object
- - org.apache.olingo.server.api.serializer.PrimitiveValueSerializerOptions.Builder

- Enclosing class:
    PrimitiveValueSerializerOptions

      public static final class PrimitiveValueSerializerOptions.Builder
      extends Object

  Builder of OData serializer options.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PrimitiveValueSerializerOptions` | `build()` Builds the OData serializer options.
    `PrimitiveValueSerializerOptions.Builder` | `facetsFrom(EdmProperty property)` Sets all facets from an EDM property.
    `PrimitiveValueSerializerOptions.Builder` | `maxLength(Integer maxLength)` Sets the maxLength facet.
    `PrimitiveValueSerializerOptions.Builder` | `nullable(Boolean isNullable)` Sets the nullable facet.
    `PrimitiveValueSerializerOptions.Builder` | `precision(Integer precision)` Sets the precision facet.
    `PrimitiveValueSerializerOptions.Builder` | `scale(Integer scale)` Sets the scale facet.
    `PrimitiveValueSerializerOptions.Builder` | `unicode(Boolean isUnicode)` Sets the unicode facet.
    `PrimitiveValueSerializerOptions.Builder` | `xml10InvalidCharReplacement(String replacement)` set the replacement string for xml 1.0 unicode controlled characters that are not allowed

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### nullable

          public PrimitiveValueSerializerOptions.Builder nullable(Boolean isNullable)

      Sets the nullable facet.

    - #### maxLength

          public PrimitiveValueSerializerOptions.Builder maxLength(Integer maxLength)

      Sets the maxLength facet.

    - #### precision

          public PrimitiveValueSerializerOptions.Builder precision(Integer precision)

      Sets the precision facet.

    - #### scale

          public PrimitiveValueSerializerOptions.Builder scale(Integer scale)

      Sets the scale facet.

    - #### unicode

          public PrimitiveValueSerializerOptions.Builder unicode(Boolean isUnicode)

      Sets the unicode facet.

    - #### facetsFrom

          public PrimitiveValueSerializerOptions.Builder facetsFrom(EdmProperty property)

      Sets all facets from an EDM property.

    - #### xml10InvalidCharReplacement

          public PrimitiveValueSerializerOptions.Builder xml10InvalidCharReplacement(String replacement)

      set the replacement string for xml 1.0 unicode controlled characters that are not allowed

    - #### build

          public PrimitiveValueSerializerOptions build()

      Builds the OData serializer options.

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.